package org.apache.maven.plugin.ear.output;

/*
 * Licensed to the Apache Software Foundation (ASF) under one
 * or more contributor license agreements.  See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership.  The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 *
 *  http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations
 * under the License.
 */

import org.apache.maven.artifact.Artifact;

/**
 * A full file name mapping, useful if artifacts might have the same name across groups.
 * 
 * @author <a href="snicoll@apache.org">Stephane Nicoll</a>
 * @version $Id: FullFileNameMapping.java 1542508 2013-11-16 13:21:35Z rfscholte $
 */
public class FullFileNameMapping
    extends AbstractFileNameMapping
{

    public String mapFileName( final Artifact a )
    {
        final String dashedGroupId = a.getGroupId().replace( '.', '-' );
        return dashedGroupId + "-" + generateFileName( a, true );
    }
}
